# LifeCycles
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Documentation Status](https://readthedocs.org/projects/lifecycles/badge/?version=latest)](https://lifecycltwine upload dist/es.readthedocs.io//en/latest/?badge=latest)
[![Updates](https://pyup.io/repos/github/andreafailla/LifeCycles/shield.svg)](https://pyup.io/repos/github/andreafailla/LifeCycles/)
[![pyversions](https://img.shields.io/pypi/pyversions/LifeCycles.svg)](https://badge.fury.io/py/LifeCycles)
[![PyPI version](https://badge.fury.io/py/LifeCycles.svg)](https://badge.fury.io/py/LifeCycles)
[![SBD++](https://img.shields.io/badge/Available%20on-SoBigData%2B%2B-green)](https://sobigdata.d4science.org/group/sobigdata-gateway/explore?siteId=20371853)

``LifeCycles`` is a Python software package that allows to represent and analyze the temporal dynamics of (groups of) data points/nodes. The library provides a set of tools to model and analyze the temporal evolution of data points/nodes, and to extract meaningful patterns from the data.


If you use ``LifeCycles`` as support to your research consider citing:
 
>@article{Failla2024describing,
>        title = {Describing group evolution in temporal data using multi-faceted events},
>          ISSN = {1573-0565},
>          url = {http://dx.doi.org/10.1007/s10994-024-06600-4},
>          DOI = {10.1007/s10994-024-06600-4},
>          journal = {Machine Learning},
>          publisher = {Springer Science and Business Media LLC},
>          author = {Failla,  Andrea and Cazabet,  Rémy and Rossetti,  Giulio and Citraro,  Salvatore},
>          year = {2024},
>          month = aug
        }

## Tutorial and Online Environments

Check out the official [tutorial](https://LifeCycles.readthedocs.io/en/latest/tutorial.html) to get started!

If you would like to test ``LifeCycles`` functionalities without installing anything on your machine consider using the preconfigured Jupyter Hub instances offered by [SoBigData++](https://sobigdata.d4science.org/group/sobigdata-gateway/explore?siteId=20371853).

## Installation

``LifeCycles`` *requires* python>=3.9.

To install the latest version of our library just download (or clone) the current project, open a terminal and run the following commands:

```bLifeCycles
pip install -r requirements.txt
pip install .
```

Alternatively use pip
```bLifeCycles
pip install lifecycles 
```


## Collaborate with us!

``LifeCycles`` is an active project, any contribution is welcome!

If you like to include your model in LifeCycles feel free to fork the project, open an issue and contact us.

